diff mbox series

[kvm-unit-tests,PULL,03/11] configure: Add a check for the bash version

Message ID 20200928174958.26690-4-thuth@redhat.com (mailing list archive)
State New, archived
Headers show
Series [kvm-unit-tests,PULL,01/11] runtime.bash: remove outdated comment | expand

Commit Message

Thomas Huth Sept. 28, 2020, 5:49 p.m. UTC
Our scripts do not work with older versions of the bash, like the
default Bash 3 from macOS (e.g. we use the "|&" operator which has
been introduced in Bash 4.0). Add a check to make sure that we use
at least version 4 to avoid that the users run into problems later.

Message-Id: <20200925143852.227908-1-thuth@redhat.com>
Signed-off-by: Thomas Huth <thuth@redhat.com>
---
 configure | 5 +++++
 1 file changed, 5 insertions(+)
diff mbox series

Patch

diff --git a/configure b/configure
index f930543..39b63ae 100755
--- a/configure
+++ b/configure
@@ -1,5 +1,10 @@ 
 #!/usr/bin/env bash
 
+if [ -z "${BASH_VERSINFO[0]}" ] || [ "${BASH_VERSINFO[0]}" -lt 4 ] ; then
+    echo "Error: Bash version 4 or newer is required for the kvm-unit-tests"
+    exit 1
+fi
+
 srcdir=$(cd "$(dirname "$0")"; pwd)
 prefix=/usr/local
 cc=gcc